%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define gtk2_version 2.2.4

Summary:        Theme engines for GTK+ 2.0
Name:           gtk2-engines
Version:        2.2.0
Release: 	2
Copyright:      GPL
Group:          System Environment/Libraries
Source:         ftp://ftp.gnome.org/pub/GNOME/source/pre-gnome2/gtk-engines-%{version}.tar.bz2

Patch0:		gtk-engines-2.2.0-aix.patch
Patch1:		gtk-engines-2.2.0-autotools.patch

Requires:       gtk2 >= %{gtk2_version}
BuildPrereq:    gtk2-devel >= %{gtk2_version}

URL:            http://www.gnome.org
BuildRoot:      /var/tmp/%{name}-%{version}-root

%description
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems. This package is for GTK+ 2.0, 
the gtk+-engines package is for GTK+ 1.2.

%prep
%setup -q -n gtk-engines-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gtk-engines-2.2.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gtk-engines-2.2.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

%clean

%files
%defattr(644, root, system, 755)
%doc COPYING README ChangeLog
%attr (755, root, system) 
%{_libdir}/gtk-2.0/*/engines/*a
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/*
%dir %{_libdir}/gtk-2.0/*/engines
%{_datadir}/themes/*
%{_libdir}/pkgconfig/*.pc

